Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.cpp
[Java] Class CppProjectExtension

    java.lang.Object
      org.gradle.plugins.cpp.CppProjectExtension

    public class CppProjectExtension
    extends java.lang.Object

The DSL for C++.

Field Summary
`static java.lang.String` | `DEFAULT_NAME`

Constructor Summary
`CppProjectExtension(Project project)`

Method Summary
`CppExecutable` | `executable(groovy.lang.Closure closure)`
`CppExecutable` | `executable(java.lang.String name, groovy.lang.Closure closure)`
`NamedDomainObjectContainer` | `getExecutables()`
`NamedDomainObjectContainer` | `getLibraries()`
`Project` | `getProject()`
`NamedDomainObjectContainer` | `getSourceSets()`
`CppLibrary` | `library(groovy.lang.Closure closure)`
`CppLibrary` | `library(java.lang.String name, groovy.lang.Closure closure)`
`NamedDomainObjectContainer` | `sourceSets(groovy.lang.Closure closure)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_NAME

    public static final java.lang.String DEFAULT_NAME

Constructor Detail

### CppProjectExtension

    public CppProjectExtension(Project project)

Method Detail

### executable

    public CppExecutable executable(groovy.lang.Closure closure)

### executable

    public CppExecutable executable(java.lang.String name, groovy.lang.Closure closure)

### getExecutables

    public NamedDomainObjectContainer getExecutables()

### getLibraries

    public NamedDomainObjectContainer getLibraries()

### getProject

    public Project getProject()

### getSourceSets

    public NamedDomainObjectContainer getSourceSets()

### library

    public CppLibrary library(groovy.lang.Closure closure)

### library

    public CppLibrary library(java.lang.String name, groovy.lang.Closure closure)

### sourceSets

    public NamedDomainObjectContainer sourceSets(groovy.lang.Closure closure)

Groovy Documentation